document.onselectstart =  function (){ return false; }
window.onerror = new Function("return true");
object = new Array();
////////////////anim/////////////////////////////
function disp(zis,obj,dH,Z){
	with(zis){
		with(obj){
			if(Z>0){
				style.top=Math.round(60-dH-Z/Zy);
				style.fontSize=Math.round(Z)+"px";
				style.zIndex=Math.round(1000-Z);
				style.color="RGB("+Math.round(Math.abs(cR*sw-Z)*cR)+","+Math.round(Math.abs(cG*sw-Z)*cG)+","+Math.round(Math.abs(cB*sw-Z)*cB)+")";
			}
			Z+=1+Math.abs(Z*.1);
			if(Z>sw*5){
				Z=0;
				style.fontSize=1;
				innerHTML=MT[PM];
				PM=(PM+1)%NM;
			}
			return Z;
		}
	}
}
function zOOm(){
	with (this) {
		Z1=disp(this,obj1,0,Z1);
		Z2=disp(this,obj2,100000,Z2);
		Z3=disp(this,obj3,200000,Z3);
		setTimeout(sto, 16);
	}
}
//////////////////////init instance//////////////////////////////
function CObj(N,obj,cR,cG,cB,Zbkg,Zy){
	this.N = N;
	this.sw=parseInt(obj.style.width)/2;
	this.sh=parseInt(obj.style.height);
	this.cR=cR;
	this.cG=cG;
	this.cB=cB;
	this.Z1=40;
	this.Z2=0;
	this.Z3=-40;
	this.Zy=Zy;
	this.PM=0;
	this.MT=Zbkg.split(" ");
	this.NM=this.MT.length;

	o="<div style='position:relative;height:100000;top:-1000;text-align:center;z-index:0'></div>";
	obj.innerHTML = "<span style='position:absolute;left:"+(-5000+this.sw)+";width:10000'>"+o+o+o+"</span>";

	this.obj1=obj.getElementsByTagName("div")[0];
	this.obj2=obj.getElementsByTagName("div")[1];
	this.obj3=obj.getElementsByTagName("div")[2];
	this.sto="object[" + N + "].zOOm()";
	this.zOOm = zOOm;
	setTimeout(this.sto, 16);
}
